Bug 625479 - USB ethernet doesn't work with kernel-2.6.34.4-41.fc13.x86_64
Summary: USB ethernet doesn't work with kernel-2.6.34.4-41.fc13.x86_64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-19 15:03 UTC by H.J. Lu
Modified: 2010-09-20 04:03 UTC (History)
8 users (show)

Fixed In Version: 2.6.34.7-56
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 04:03:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tshark output (3.83 KB, text/plain)
2010-09-03 19:58 UTC, H.J. Lu
no flags Details
DHCP tshark output with working kernel (5.53 KB, text/plain)
2010-09-03 20:04 UTC, H.J. Lu
no flags Details

Description H.J. Lu 2010-08-19 15:03:25 UTC
I have a USB ethernet dongle. It works with
kernel-2.6.33.6-147.2.4.fc13.x86_64. But it doesn't
work with kernel-2.6.34.4-41.fc13.x86_64. DHCP client
can't get IP address.

Comment 1 Chuck Ebbert 2010-08-21 07:54:00 UTC
What kind of dongle is it? (usb vendor and device ID, plus whatever brand name and model it says on the packaging)

What kernel messages do you get when connecting it on 2.6.33?

Are they the same on 2.6.34?

Comment 2 H.J. Lu 2010-08-23 17:04:34 UTC
I have

  idVendor           0x0b95 ASIX Electronics Corp.
  idProduct          0x1720 10/100 Ethernet
  bcdDevice            0.01
  iManufacturer           1 SMC
  iProduct                2 SMC2209USB/ETH

Kernel 2.6.33 reports:

Aug 19 08:41:10 gnu-30 klogd: usb 1-4: new high speed USB device using ehci_hcd and address 2
Aug 19 08:41:10 gnu-30 klogd: usb 1-4: New USB device found, idVendor=0b95, idProduct=1720
Aug 19 08:41:10 gnu-30 klogd: usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 19 08:41:10 gnu-30 klogd: usb 1-4: Product: SMC2209USB/ETH
Aug 19 08:41:10 gnu-30 klogd: usb 1-4: Manufacturer: SMC
...
Aug 19 08:41:10 gnu-30 klogd: eth0: register 'asix' at usb-0000:00:1d.7-4, ASIX AX8817x USB 2.0 Ethernet, 00:10:60:0a:a0:2e
Aug 19 08:41:10 gnu-30 klogd: usbcore: registered new interface driver asix
...
Aug 19 08:41:11 gnu-30 klogd: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Aug 19 08:41:11 gnu-30 klogd: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
...
Aug 19 13:12:43 gnu-30 dhclient[900]: DHCPREQUEST on eth0 to 10.3.86.116 port 67
Aug 19 13:12:43 gnu-30 dhclient[900]: DHCPACK from 10.3.86.116
Aug 19 13:12:43 gnu-30 dhclient[900]: bound to 172.25.70.57 -- renewal in 16202 seconds.

Kernel 2.6.34 reports:

Aug 18 14:07:12 gnu-30 klogd: usb 1-4: new high speed USB device using ehci_hcd and address 2
Aug 18 14:07:12 gnu-30 klogd: usb 1-4: New USB device found, idVendor=0b95, idProduct=1720
Aug 18 14:07:12 gnu-30 klogd: usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 18 14:07:12 gnu-30 klogd: usb 1-4: Product: SMC2209USB/ETH
Aug 18 14:07:12 gnu-30 klogd: usb 1-4: Manufacturer: SMC
...
Aug 18 14:07:13 gnu-30 klogd: asix 1-4:1.0: eth0: register 'asix' at usb-0000:00:1d.7-4, ASIX AX8817x USB 2.0 Ethernet, 00:10:60:0a:a0:2e
Aug 18 14:07:13 gnu-30 klogd: usbcore: registered new interface driver asix
...
Aug 18 14:07:15 gnu-30 klogd: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
,,,
Aug 18 14:09:06 gnu-30 dhclient[1516]: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Aug 18 14:09:20 gnu-30 dhclient[1516]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 6
Aug 18 14:09:26 gnu-30 dhclient[1516]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
Aug 18 14:09:34 gnu-30 dhclient[1516]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 12
Aug 18 14:09:46 gnu-30 dhclient[1516]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 14
Aug 18 14:10:00 gnu-30 dhclient[1516]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 15
Aug 18 14:10:15 gnu-30 dhclient[1516]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 6
Aug 18 14:10:21 gnu-30 dhclient[1516]: No DHCPOFFERS received.

Comment 3 Chuck Ebbert 2010-09-01 23:19:23 UTC
Can you capture traces of the DHCP requests with wireshark or tshark?

Comment 4 H.J. Lu 2010-09-03 19:58:55 UTC
Created attachment 442971 [details]
tshark output

Comment 5 H.J. Lu 2010-09-03 20:04:34 UTC
Created attachment 442973 [details]
DHCP tshark output with working kernel

Comment 6 Chuck Ebbert 2010-09-04 02:57:59 UTC
Possibly fixed in 2.6.34.6-52

Comment 7 H.J. Lu 2010-09-04 14:22:08 UTC
(In reply to comment #6)
> Possibly fixed in 2.6.34.6-52

It doesn't make a difference.

Comment 8 H.J. Lu 2010-09-15 19:00:56 UTC
Fixed in 2.6.34.7-56.


Note You need to log in before you can comment on or make changes to this bug.